joseki/leanmapper-extension

This is an extension of Tharos/LeanMapper ORM. This extension contains mapper specification and a Query object including its usage in a repository

Installs: 128

Dependents: 2

Stars: 6

Watchers: 3

Forks: 1

Open Issues: 3

Language: PHP

v1.1.0 2015-02-19 14:01 UTC

README

Requirements

Joseki/LeanMapper-extension requires PHP 5.3 or higher.

Installation

The best way to install Joseki/LeanMapper-extension is using Composer:

"require": {
    "joseki/leanmapper-extension": "~1.0"
},
"minimum-stability": "dev",
"prefer-stable": true

With Nette stable 2.1 or newer, this is how you install the extension

LeanMapperExtension: Joseki\LeanMapper\DI\Extension

LeanMapperExtension:
    host: host
    username: username
    password: password
    driver: driver
    database: database
    # optional
    lazy: TRUE
    profiler: TRUE

Tutorial

Need help? Read tutorial!